Bug 251084 - rdesktop hangs
rdesktop hangs
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
7
ppc64 Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 19:25 EDT by Jason
Modified: 2013-03-05 22:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:06:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to resolve 'Error: select: Bad file descriptor" in 1.5.0 (1.60 KB, patch)
2007-08-06 20:47 EDT, Jason
no flags Details | Diff

  None (edit)
Description Jason 2007-08-06 19:25:15 EDT
Description of problem:
rdesktop will hang after it stops playing a long audio stream.

Version-Release number of selected component (if applicable):
rpm -q rdesktop
rdesktop-1.5.0-2.fc7

How reproducible:
Connect to a Windows computer using rdesktop and listen to something like 
pandora.com over the connection (start rdesktop with a command like 'rdesktop 
192.168.1.5 -r sound:local -u username -p password') Pause the audio, or close 
the browser; once rdesktop catches up and stops playing the audio the window 
will freeze. If rdesktop was started on a terminal you will see an endless loop 
of 'ERROR: select: Bad file descriptor'

Steps to Reproduce:
1. Connect to a server using rdesktop, similar to the method described above, 
and start listening to internet radio.
2. Let it play for several minutes.
3. Pause the music or close the browser
  
Actual results:
rdesktop hangs

Expected results:
rdesktop continues to function normally.

Additional info:
This problem has been fixed in rdesktop CVS 
(http://rdesktop.cvs.sourceforge.net/rdesktop/rdesktop/rdpsnd_oss.c?view=log 
version 1.30). Request fix be included in future releases of Fedora
Comment 1 Jason 2007-08-06 20:47:59 EDT
Created attachment 160786 [details]
Patch to resolve 'Error: select: Bad file descriptor" in 1.5.0

Used patch at http://osdir.com/ml/network.rdesktop.cvs/2006-11/msg00011.html as
a reference for changes to make in order to resolve the issue.
Comment 2 Jason 2007-08-06 20:51:01 EDT
The current CVS build plays audio quite choppy. Compared to 1.5.0 where 
performance is nearly flawless, this is a definite step back. I used the patch 
mentioned in the comment above to modify the 1.5.0 code just enough to resolve 
the issue. The attachment is the patch for the changes I made.

In the short bit of testing I've had a chance to do it seems to resolve the 
issue, while maintaining the same performance.
Comment 3 Bug Zapper 2008-05-14 09:53:52 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2008-06-16 22:06:56 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.